classification
Title: Update or remove claims that distutils requires external programs
Type: enhancement Stage: resolved
Components: Distutils, Documentation, Tests Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: eric.araujo, ezio.melotti, marcs, vishal.lal, vstinner
Priority: normal Keywords: patch

Created on 2011-09-07 16:06 by eric.araujo, last changed 2020-10-22 21:20 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
issue12933-py27.patch vishal.lal, 2014-03-26 21:11 review
issue12933-py33.patch vishal.lal, 2014-03-26 21:12 review
issue12933-py34.patch vishal.lal, 2014-03-26 21:12 review
Messages (7)
msg143694 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-09-07 16:06
In the past, distutils could use either the zipfile/tarfile modules or the external programs tar, zip and friends.  This is told in the documentation and checked in the tests.

I suspect that the docs and tests are now outdated.  For example, some tests will be skipped if the tar program is not found, even if the code would have used the tarfile module and run successfully.  I’ll look into this for packaging, but I don’t have the time right now to go over the distutils test and docs for 2.7 and 3.2.
msg144573 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-09-28 17:39
BTW, one way to confirm this is to use an OS without the tar, gzip, etc. programs, remove the checks in the code that return or skip if tar is not present and run the test suite.
msg214914 - (view) Author: Vishal Lal (vishal.lal) * Date: 2014-03-26 21:12
Attached patch for 2.7, 3.3, 3.4.
msg220834 - (view) Author: Vishal Lal (vishal.lal) * Date: 2014-06-17 15:01
ping
msg225900 - (view) Author: Vishal Lal (vishal.lal) * Date: 2014-08-25 22:58
ping
msg348623 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-07-29 11:36
This issue is 8 years old and has 3 patches: it's far from being "newcomer friendly", I remove the "Easy" label.
msg379353 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2020-10-22 21:20
This is obsolete now.
History
Date User Action Args
2020-10-22 21:20:37eric.araujosetstatus: open -> closed
resolution: wont fix
messages: + msg379353

stage: patch review -> resolved
2019-07-29 11:36:07vstinnersetkeywords: - easy
nosy: + vstinner
messages: + msg348623

2014-08-25 22:58:16vishal.lalsetmessages: + msg225900
2014-06-20 02:44:34ezio.melottisetstage: needs patch -> patch review
type: enhancement
versions: + Python 3.5, - Python 3.3
2014-06-17 15:01:09vishal.lalsetmessages: + msg220834
2014-03-26 21:12:35vishal.lalsetnosy: + vishal.lal
messages: + msg214914
2014-03-26 21:12:30vishal.lalsetfiles: + issue12933-py34.patch
2014-03-26 21:12:21vishal.lalsetfiles: + issue12933-py33.patch
2014-03-26 21:11:57vishal.lalsetfiles: + issue12933-py27.patch
keywords: + patch
2014-03-12 10:32:26eric.araujosetversions: + Python 3.4, - Python 3.2
2011-09-29 00:01:41ezio.melottisetnosy: + ezio.melotti
2011-09-28 17:39:57eric.araujosetmessages: + msg144573
2011-09-19 14:04:50marcssetnosy: + marcs
2011-09-07 16:06:53eric.araujocreate